---
title: llarp::ConfigGenParameters
summary: Small struct to gather all parameters needed for config generation to reduce the number of parameters that need to be passed around. 

---

# llarp::ConfigGenParameters



Small struct to gather all parameters needed for config generation to reduce the number of parameters that need to be passed around. 


`#include <config.hpp>`

## Public Attributes

|                | Name           |
| -------------- | -------------- |
| bool | **[isRelay](Classes/structllarp_1_1ConfigGenParameters.md#variable-isrelay)**  |
| fs::path | **[defaultDataDir](Classes/structllarp_1_1ConfigGenParameters.md#variable-defaultdatadir)**  |

## Public Attributes Documentation

### variable isRelay

```cpp
bool isRelay = false;
```


### variable defaultDataDir

```cpp
fs::path defaultDataDir;
```


-------------------------------

Updated on 2022-05-20 at 15:34:05 +0000